Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.validation
Class FloatWord

    java.lang.Object
      com.bea.web.validation.Word
          com.bea.web.validation.FloatWord

All Implemented Interfaces:
  Serializable

    public class FloatWord

extends Word
implements Serializable

Determines if a value is a valid Java float between a specified range. By default, any Java float is valid.

See Also:
  Serialized Form

Constructor Summary
`FloatWord()`

Method Summary
`protected IValidationResult` | `checkAdditional(Float value, ResourceBundle bundle)` This method is called by the `validate` method after the lower and upper bounds have been validated.
`protected IValidationResult` | `checkLowerBound(Float value, ResourceBundle bundle)` Checks `value` against the lower bound, minInclusive or minExclusive.
`protected IValidationResult` | `checkUpperBound(Float value, ResourceBundle bundle)` Checks `value` against the upper bound, maxInclusive or maxExclusive.
`Float` | `getMaxExclusive()`
`Float` | `getMaxInclusive()`
`Float` | `getMinExclusive()`
`Float` | `getMinInclusive()`
`void` | `setMaxExclusive(String strMaxExclusive)` Sets the value for the maximum exclusive constraining facet.
`void` | `setMaxInclusive(String strMaxInclusive)` Sets the value for the maximum inclusive constraining facet.
`void` | `setMinExclusive(String strMinExclusive)` Sets the value for the minimum exclusive constraining facet.
`void` | `setMinInclusive(String strMinInclusive)` Sets the value for the minimum inclusive constraining facet.
`IValidationResult` | `validate(String strValue, ResourceBundle bundle)`

Methods inherited from class com.bea.web.validation.Word
`formatMessage, formatMessage, getKey, getPattern, getResource, isRequired, matchesPattern, setKey, setPattern, setRequired, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatWord

    public FloatWord()

Method Detail

### validate

    public IValidationResult validate(String strValue,
                                      ResourceBundle bundle)

  Overrides:
    `validate` in class `Word`

### checkLowerBound

    protected IValidationResult checkLowerBound(Float value,
                                                ResourceBundle bundle)

  Checks `value` against the lower bound, minInclusive or minExclusive.

  Parameters:
    `value` - - the Float value to compare against the lower bound
  Returns:
    IValidationResult - null if `value` satifies the lower bound. If return value is not null, then `value` does not satisfy the lower bound.

### checkUpperBound

    protected IValidationResult checkUpperBound(Float value,
                                                ResourceBundle bundle)

  Checks `value` against the upper bound, maxInclusive or maxExclusive.

  Parameters:
    `value` - - the Float value to compare against the upper bound
  Returns:
    IValidationResult - null if `value` satifies the upper bound. If return value is not null, then `value` does not satisfy the upper bound.

### checkAdditional

    protected IValidationResult checkAdditional(Float value,
                                                ResourceBundle bundle)

  This method is called by the `validate` method after the lower and upper bounds have been validated. This method returns null. Sub-classes can override this method to supply additional validation on the Float value and still benefit from the parse and lower/upper bounds checking provided by the current implementation of `validate` method.

### setMinInclusive

    public final void setMinInclusive(String strMinInclusive)
                               throws NumberFormatException

  Sets the value for the minimum inclusive constraining facet. To satisfy this constraining facet, the value must be numerically greater than or equal to `strMinInclusive`. It is an error for both minInclusive and minExclusive to be specified on the same object.

  Parameters:
    ``strMinInclusive`` - - the inclusive lower bound, must be able to be parsed into a Java float.
  Throws:
    `NumberFormatException` - - the argument `strMinInclusive` cannot be parsed into a Java float.

### getMinInclusive

    public final Float getMinInclusive()

### setMaxInclusive

    public final void setMaxInclusive(String strMaxInclusive)
                               throws NumberFormatException

  Sets the value for the maximum inclusive constraining facet. To satisfy this constraining facet, the value must be numerically less than or equal to `strMaxInclusive`. It is an error for both maxInclusive and maxExclusive to be specified on the same object.

  Parameters:
    ``strMaxInclusive`` - - the inclusive upper bound, must be able to be parsed into a Java float.
  Throws:
    `NumberFormatException` - - the argument `strMaxInclusive` cannot be parsed into a Java float.

### getMaxInclusive

    public final Float getMaxInclusive()

### setMinExclusive

    public final void setMinExclusive(String strMinExclusive)
                               throws NumberFormatException

  Sets the value for the minimum exclusive constraining facet. To satisfy this constraining facet, the value must be numerically greater than `strMinExclusive`. It is an error for both minInclusive and minExclusive to be specified on the same object.

  Parameters:
    ``strMinExclusive`` - - the exclusive lower bound, must be able to be parsed into a Java Float.
  Throws:
    `NumberFormatException` - - the argument `strMinExclusive` cannot be parsed into a Java Float.

### getMinExclusive

    public final Float getMinExclusive()

### setMaxExclusive

    public final void setMaxExclusive(String strMaxExclusive)
                               throws NumberFormatException

  Sets the value for the maximum exclusive constraining facet. To satisfy this constraining facet, the value must be numerically less than `strMaxExclusive`. It is an error for both maxInclusive and maxExclusive to be specified on the same object.

  Parameters:
    ``strMaxExclusive`` - - the exclusive upper bound, must be able to be parsed into a Java Float.
  Throws:
    `NumberFormatException` - - the argument `strMaxExclusive` cannot be parsed into a Java Float.

### getMaxExclusive

    public final Float getMaxExclusive()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD